Bug 123167 - MS security hotfix breaks Samba password change
MS security hotfix breaks Samba password change
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-13 10:28 EDT by Jean-Rene Cormier
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.0.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 21:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Rene Cormier 2004-05-13 10:28:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Changing password for domain users is broke with the latest security
hotfix from MS. Samba 3.0.4 has been released with a fix for this bug
so updating Samba to 3.0.4 should solve this.


Version-Release number of selected component (if applicable):
samba-3.0.2-7.FC1

How reproducible:
Always

Steps to Reproduce:
1. Log in as a domain user on a Samba domain in WinXP with latest MS
security hotfix
2. Press CTRL-ALT-DEL and press Change password
3. Try to change the uers's password


Actual Results:  You should get a popup saying that the password can't
be changed because the domain is unavailable

Expected Results:  The user's password should get changed

Additional info:
Comment 1 John Thacker 2006-04-21 21:45:05 EDT
Fedora Legacy has updated Samba for FC1 to past 3.0.4 to 3.0.10, so this should
be fixed even for FC1.

Note You need to log in before you can comment on or make changes to this bug.